(function($) {
  'use strict';

  /**
   * All of the code for your admin-facing JavaScript source
   * should reside in this file.
   *
   * Note: It has been assumed you will write jQuery code here, so the
   * $ function reference has been prepared for usage within the scope
   * of this function.
   *
   * This enables you to define handlers, for when the DOM is ready:
   *
   * $(function() {
   *
   * });
   *
   * When the window is loaded:
   *
   * $( window ).load(function() {
   *
   * });
   *
   * ...and/or other possibilities.
   *
   * Ideally, it is not considered best practise to attach more than a
   * single DOM-ready or window-load handler for a particular page.
   * Although scripts in the WordPress core, Plugins and Themes may be
   * practising this, we should strive to set a better example in our own work.
   */

})(jQuery);

jQuery(document).ready(function($) {
  jQuery('#ldpa_verify_key').on('click', function() {
    const key = jQuery('#license_key').val();

    if (key.trim() === '' || key.length !== 35) {
      alert('Enter valid key!');
      return false;
    }

    var data = {
      action: 'verify_license_key',
      license_key: key,
    };

    jQuery.ajax({
      type: 'post',
      dataType: 'json',
      url: ajaxurl,
      data: data,
      success: function(response) {
        if (response.success) {
          location.reload();
        } else {
        }
      },
    });
  });

  jQuery('#ldpa_disable_key').on('click', function() {
    var data = {
      action: 'disable_license_key',
    };

    jQuery.ajax({
      type: 'post',
      dataType: 'json',
      url: ajaxurl,
      data: data,
      success: function(response) {
        if (response.success) {
          location.reload();
        } else {
        }
      },
    });
  });
});
