<?php

if ( ! defined( 'ABSPATH' ) ) {
	die( 'You can not access this file!' );
}

class Learndash_Access_For_Parents_Child_Confirmation_Mailer extends Learndash_Access_For_Parents_Email_Sender {

	/**
	 * Construct
	 *
	 * @param WP_User $child Who is going to receive the email.
	 * @param WP_User $parent Who is going to send the email.
	 */
	public function __construct( $child, $parent ) {
		parent::__construct( $child, $parent );

		// @todo get settings if user overrided them
		$this->set_options_and_defaults_values();
		$this->generate_link_confirmation();
	}


	private function set_options_and_defaults_values() {

		$subject = Learndash_Access_For_Parents_Mail_Settings::get_option_value( 'subject' );
		$message = Learndash_Access_For_Parents_Mail_Settings::get_option_value( 'message' );

		$this->set_subject( $subject );
		$this->set_message( $message );

	}


	private function generate_link_confirmation() {
		$json = array(
			'child_id'           => $this->get_child()->data->ID,
			'parent_id'          => $this->get_parent()->data->ID,
			'email_confirmation' => true,
		);

		$encoded = wp_json_encode( $json );
		$base64  = base64_encode( $encoded );

		$confirm_link = get_rest_url( null, "/immerseus/v1/child-confirmation?confirm_key={$base64}" );
		$this->set_link( $confirm_link );
	}
}
