document.addEventListener('DOMContentLoaded', function () {
  const buttons = document.querySelectorAll('.spald-ps .spald-ps__item__button');

  function toggleVisibility(event) {
    const current = event.target;

    const parent = current.closest('.spald-ps__item');

    if (parent.classList.contains('spald-ps__item--is-active')) {
      parent.classList.remove('spald-ps__item--is-active');
    } else {
      parent.classList.add('spald-ps__item--is-active');
    }
  }

  buttons.forEach(function (button) {
    button.addEventListener('click', toggleVisibility);
  });

  const studentSearchInput = document.querySelector('#spald-student-search-input');
  const allStudents = document.querySelectorAll(
    '.spald-ps > .spald-ps__container > .spald-ps__item'
  );

  function handleStudentSearchChange(event) {
    const toSearch = event.target.value;
    const newRegex = new RegExp(toSearch, 'i');

    allStudents.forEach((student) => {
      const studentName = student.dataset.name;
      const studentEmail = student.dataset.email;

      if (newRegex.test(studentName) || newRegex.test(studentEmail)) {
        student.style.display = '';
      } else {
        student.style.display = 'none';
      }
    });
  }

  studentSearchInput.addEventListener('keyup', handleStudentSearchChange);

  const studentCoursesSearchInput = document.querySelectorAll(
    '.spald-ps__item__wrapper .spald-ps__search'
  );

  function handleStudentCoursesSearchChange(event) {
    const coursesToSearch = event.target
      .closest('.spald-ps__item__wrapper')
      .querySelectorAll('.spald-ps__container > .spald-ps__item[data-course-name]');
    const toSearch = event.target.value;
    const newRegex = new RegExp(toSearch, 'i');

    coursesToSearch.forEach((course) => {
      const courseName = course.dataset.courseName;
      const courseStatus = course.dataset.courseStatus;

      if (newRegex.test(courseName) || newRegex.test(courseStatus)) {
        course.style.display = '';
      } else {
        course.style.display = 'none';
      }
    });
  }

  for (let i = 0; i < studentCoursesSearchInput.length; i++) {
    const current = studentCoursesSearchInput[i];
    current.addEventListener('keyup', handleStudentCoursesSearchChange);
  }
});
